Page MenuHomePhabricator

Dashboards: Update polloi package
Closed, ResolvedPublic2 Story Points

Description

In order to condense the dashboard scripts, we want to add the following stuff into our dashboard common functions package (polloi):

  • List of country names with traffic to portal (now in prince::extras.R)
  • Assigns ASCII region names to US states (see golden::modules::metrics::portal::geographic_breakdown.R::L69-79, 83-85)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 14 2017, 7:14 PM
debt renamed this task from Update polloi package to Dashboards: Update polloi package.Jun 20 2017, 8:03 PM
debt triaged this task as Normal priority.
debt added a project: Discovery.
chelsyx updated the task description. (Show Details)Jun 21 2017, 10:47 PM

Change 360797 had a related patch set uploaded (by Chelsyx; owner: Chelsyx):
[wikimedia/discovery/polloi@master] The following datasets are included:

https://gerrit.wikimedia.org/r/360797

mpopov set the point value for this task to 2.Jun 23 2017, 12:41 AM

Change 360797 merged by Bearloga:
[wikimedia/discovery/polloi@master] Add Wikipedia.org portal-related geography data

https://gerrit.wikimedia.org/r/360797

debt closed this task as Resolved.Jun 30 2017, 9:26 PM

Change 367456 had a related patch set uploaded (by Chelsyx; owner: Chelsyx):
[wikimedia/discovery/golden@master] Use new functions in polloi to get geo data

https://gerrit.wikimedia.org/r/367456

Change 367459 had a related patch set uploaded (by Chelsyx; owner: Chelsyx):
[wikimedia/discovery/prince@develop] Get all country names with portal traffic from polloi

https://gerrit.wikimedia.org/r/367459

Change 367456 merged by Bearloga:
[wikimedia/discovery/golden@master] Use new functions in polloi to get geo data

https://gerrit.wikimedia.org/r/367456

Change 367459 merged by Bearloga:
[wikimedia/discovery/prince@develop] Get all country names with portal traffic from polloi

https://gerrit.wikimedia.org/r/367459